Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1565208 - Reporting worker logs error when generating or displaying Guest OS Information widget report
Summary: Reporting worker logs error when generating or displaying Guest OS Informatio...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.7.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Yuri Rudman
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 15:38 UTC by Tasos Papaioannou
Modified: 2019-02-28 17:59 UTC (History)
4 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:30 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 0 None None None 2019-02-07 23:01:35 UTC

Description Tasos Papaioannou 2018-04-09 15:38:35 UTC
Description of problem:

The following error is logged nightly in evm.log:

****
[----] I, [2018-04-08T20:00:40.403516 #13276:a4513c]  INFO -- : MIQ(MiqReport#build_create_results) Finished creating report result with id [7] for report id: [], name: [Guest OS Information - any OS]
[----] E, [2018-04-08T20:00:40.417724 #13276:a4513c] ERROR -- : MIQ(MiqReport#chart_header_column) The column for the chart's x-axis must be defined in the report
[----] I, [2018-04-08T20:00:40.427637 #13276:a4513c]  INFO -- : MIQ(MiqWidget#generate_one_content_for_group) Widget: [Guest OS Information] ID: [1] for [MiqGroup] [EvmGroup-super_administrator]...Complete
****

The error message also gets logged if I click in the upper right corner of the Guest OS Information dashboard widget and select 'Full Screen'. As far as I can tell, the error does not affect the content or display of the report.

Version-Release number of selected component (if applicable):

5.7.4.3. Also verified on 5.9.1.0 and 5.9.2.0.

How reproducible:

100%

Steps to Reproduce:
1.) Add an infrastructure provider and wait for the widget report to run on its nightly schedule, or generate the widget content on demand:

Cloud Intel > Reports,
Dashboard Widgets > All Widgets > Charts > Guest OS Information,
Configuration > Generate Widget content now > OK

Alternatively, from the Dashboard click on the upper right corner of the Guest OS Information widget, and click on 'Full Screen'.

2.) Check evm.log for ERROR messages.

Actual results:

Error logged in evm.log.

Expected results:

No error logged in evm.log.

Additional info:

Comment 3 CFME Bot 2018-05-15 09:23:18 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/e76e3d00e90f67f7c407ee53a14a79e37ff6ddae
commit e76e3d00e90f67f7c407ee53a14a79e37ff6ddae
Author:     Yuri Rudman <yrudman@redhat.com>
AuthorDate: Mon May  7 10:08:07 2018 -0400
Commit:     Yuri Rudman <yrudman@redhat.com>
CommitDate: Mon May  7 10:08:07 2018 -0400

    No need to find tooltip column for charts where tooltip label not used.
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1565208

 lib/report_formatter/chart_common.rb | 6 +-
 1 file changed, 3 insertions(+), 3 deletions(-)

Comment 4 Tasos Papaioannou 2018-07-27 16:13:04 UTC
Verified on 5.10.0.4.

Comment 6 errata-xmlrpc 2019-02-07 23:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.